API
POST
/api/auth/magic-link

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.tigby.eu/api/auth/magic-link" \  -H "Content-Type: application/json" \  -d '{    "email": null,    "language": "en",    "tos_accepted": null  }'
{  "status": "string",  "expires_at": "2019-08-24T14:15:22Z",  "dev_magic_link": null}
POST
/api/auth/magic-link/consume

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://api.tigby.eu/api/auth/magic-link/consume" \  -H "Content-Type: application/json" \  -d '{    "token": null  }'
{  "session_token": "string",  "session": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "expires_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z"  },  "org": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "string",    "language": "string",    "tos_version": "string",    "tos_accepted_at": "2019-08-24T14:15:22Z",    "email_verified_at": null,    "created_at": "2019-08-24T14:15:22Z"  }}
GET
/api/auth/session
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://api.tigby.eu/api/auth/session"
{  "session": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "expires_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z"  },  "org": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "string",    "language": "string",    "tos_version": "string",    "tos_accepted_at": "2019-08-24T14:15:22Z",    "email_verified_at": null,    "created_at": "2019-08-24T14:15:22Z"  },  "tos": {    "current_version": "string",    "accepted_version": "string",    "accepted_at": "2019-08-24T14:15:22Z",    "effective_at": null,    "gated": true  }}
DELETE
/api/auth/session
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Response Body

application/problem+json

application/problem+json

curl -X DELETE "https://api.tigby.eu/api/auth/session"
Empty
POST
/api/auth/tos/acceptance
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.tigby.eu/api/auth/tos/acceptance" \  -H "Content-Type: application/json" \  -d '{    "version": null  }'
{  "current_version": "string",  "accepted_version": "string",  "accepted_at": "2019-08-24T14:15:22Z",  "effective_at": null,  "gated": true}
GET
/api/auth/whoami
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://api.tigby.eu/api/auth/whoami"
{  "org": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "string",    "language": "string",    "tos_version": "string",    "tos_accepted_at": "2019-08-24T14:15:22Z",    "email_verified_at": null,    "created_at": "2019-08-24T14:15:22Z"  },  "caller": {    "kind": "string",    "key_id": null,    "key_name": null,    "identity_id": null,    "handle": null  }}
POST
/api/auth/device

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://api.tigby.eu/api/auth/device" \  -H "Content-Type: application/json" \  -d '{    "name": null,    "client": null  }'
{  "device_code": "string",  "user_code": "string",  "verification_uri": "string",  "verification_uri_complete": "string",  "expires_at": "2019-08-24T14:15:22Z",  "interval_seconds": 0}
POST
/api/auth/device/token

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://api.tigby.eu/api/auth/device/token" \  -H "Content-Type: application/json" \  -d '{    "device_code": null  }'
{  "key": "string",  "api_key": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "scope": "string",    "identity_id": null,    "token_prefix": "string",    "created_at": "2019-08-24T14:15:22Z",    "last_used_at": null,    "revoked_at": null  }}
GET
/api/auth/device/{userCode}
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Path Parameters

userCode*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.tigby.eu/api/auth/device/string"
{  "user_code": "string",  "name": "string",  "client": null,  "status": "string",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z"}
POST
/api/auth/device/{userCode}/approve
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Path Parameters

userCode*string

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.tigby.eu/api/auth/device/string/approve"
Empty
POST
/api/auth/device/{userCode}/deny
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Path Parameters

userCode*string

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.tigby.eu/api/auth/device/string/deny"
Empty